[arch-commits] Commit in libpng/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Jan 16 13:21:10 EST 2010


    Date: Saturday, January 16, 2010 @ 13:21:09
  Author: jgc
Revision: 63233

upgpkg: libpng 1.4.0-1
    Update to libpng 1.4.0:
New major version, needs lots of rebuilds.
Grab apng patch from sourceforge now

Modified:
  libpng/trunk/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-16 17:46:28 UTC (rev 63232)
+++ PKGBUILD	2010-01-16 18:21:09 UTC (rev 63233)
@@ -4,7 +4,7 @@
 # Maintainer: Douglas Soares de Andrade <douglas at archlinux.org>
 
 pkgname=libpng
-pkgver=1.2.40
+pkgver=1.4.0
 pkgrel=1
 pkgdesc="A collection of routines used to create PNG format graphics files"
 arch=('i686' 'x86_64')
@@ -12,17 +12,17 @@
 license=('custom')
 depends=('zlib')
 options=('!libtool')
-source=("http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2"
-        "http://hp.vector.co.jp/authors/VA013651/lib/libpng-1.2.38-apng.patch.gz")
-md5sums=('29bbd1c3cbe54b04bfc2bda43067ccb5' '40ee503d0ff5386ad537df2162fb9c4e')
-sha1sums=('776cf18a799af58303590f6996f6d3aa5a7908ff' '1746e03734b2967481330ade3fb8513896ec2f95')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+        http://downloads.sourceforge.net/sourceforge/libpng-apng/libpng-${pkgver}-apng.patch.gz)
+md5sums=('fd73b764e92c711c219d766d03889b64'
+         '1a1a1ac18b7c4a23aa9b1441f2c0f2e9')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
 
   # Add animated PNG (apng) support
   # see http://hp.vector.co.jp/authors/VA013651/freeSoftware/apng.html
-  patch -p1 -i "${srcdir}/libpng-1.2.38-apng.patch" || return 1
+  patch -p1 -i "${srcdir}/libpng-${pkgver}-apng.patch" || return 1
 
   libtoolize --force --copy || return 1
   aclocal || return 1



More information about the arch-commits mailing list